////////////////////////////////////////////////////////////////////////////////
//                            X3D_X3DLoader.inl                               //
////////////////////////////////////////////////////////////////////////////////

namespace X3DTK {

template <class L>
L *X3DLoader::getInstanceOf()
{
  for (std::list<X3DLoader *>::iterator it = _X3DLoaderList.begin(); it != _X3DLoaderList.end(); ++it)
  {
    if (typeid(*(*it)) == typeid(L))
      return static_cast<L *>(*it);       
  }
  L *l = new L();
  _X3DLoaderList.push_back(l);
  return l;
}

template <class L>
void X3DLoader::removeInstanceOf()
{
  for (std::list<X3DLoader *>::iterator it = _X3DLoaderList.begin(); it != _X3DLoaderList.end(); ++it)
  {
    if (typeid(*(*it)) == typeid(L))
    {
      delete *it;
      _X3DLoaderList.erase(it);
      break;
    }  
  }
}

}
