#ifndef GLNORMALRENDERERGROUPINGVISITOR_H
#define GLNORMALRENDERERGROUPINGVISITOR_H

#include <X3DTK/GL/scenegraph.h>

namespace X3DTK {
namespace GL {

// Visitor for the Grouping component of the GL::NormalRenderer processor.

class NormalRendererGroupingVisitor : public GroupingVisitor
{
public:
  NormalRendererGroupingVisitor();

  virtual void enterTransform(Transform *T) const;
  virtual void leaveTransform(Transform *T) const;
};

}
}

#endif
