#ifndef ICOSAHEDRON_H
#define ICOSAHEDRON_H

#include <X3DTK/X3D/scenegraph.h>

namespace X3DTK {
namespace X3D {

// New X3D node.

class Icosahedron : public X3DGeometry3DNode
{
public:
  Icosahedron();
  Icosahedron(SFFloat radius);
            
  virtual SFNode clone() const;  

  void setRadius(const SFFloat &radius);
  inline const SFFloat &getRadius() const {return _radius;};
  
  virtual void load(const X3DFileElement *element);
  virtual SFString write() const;

protected:
  Icosahedron(const Icosahedron &I);

private:
  SFFloat _radius;
};

}
}

#endif
