#ifndef INFOREADERGROUPINGVISITOR_H
#define INFOREADERGROUPINGVISITOR_H

#include <X3DTK/X3D/scenegraph.h>

namespace X3DTK {
namespace X3D {

class Info;
class Price;
class Modeler;

// Visitor for the Grouping component of the InfoReader processor.

class InfoReaderGroupingVisitor : public GroupingVisitor
{
public:
  InfoReaderGroupingVisitor();

  virtual void enterInfo(Info *I) const;
  virtual void enterPrice(Price *P) const;
  virtual void enterModeler(Modeler *M) const;
};

}
}

#endif
