#ifndef MESH_DRAWER_COREVISITOR_H
#define MESH_DRAWER_COREVISITOR_H

#include <X3DTK/MESH/scenegraph.h>
#include "MESH_DrawerStateVariables.h"

namespace X3DTK {
namespace MESH {

class Transform;

// Visitor for the Core component of the Drawer processor.

class DrawerCoreVisitor : public CoreVisitor
{
public:
  DrawerCoreVisitor();

  virtual void enterMesh(DefMesh *M) const;
  virtual void enterTransform(Transform *T) const;
  virtual void leaveTransform(Transform *T) const;

protected:
  DrawerStateVariables *stateVariables;
};

}
}

#endif
