#ifndef GLNORMALRENDERERGEOMETRY3DVISITOR_H
#define GLNORMALRENDERERGEOMETRY3DVISITOR_H

#include "GL_NormalRendererStateVariables.h"

#include <X3DTK/GL/scenegraph.h>

namespace X3DTK {
namespace GL {

// Visitor for the Geometry3D component of the GL::NormalRenderer processor.

class NormalRendererGeometry3DVisitor : public Geometry3DVisitor
{
public:
  NormalRendererGeometry3DVisitor();

  virtual void enterIndexedFaceSet(IndexedFaceSet *I) const;

protected:
  NormalRendererStateVariables *stateVariables;
};

}
}

#endif
