#ifndef MYMEMRELEASERABSTRACTVISITOR_H
#define MYMEMRELEASERABSTRACTVISITOR_H

#include <X3DTK/X3D/scenegraph.h>
#include <X3DTK/memreleaser.h>

namespace X3DTK {

// Visitor for the Abstract component of the MemReleaser processor.

class MyMemReleaserAbstractVisitor : public MemReleaserAbstractVisitor
{
public:
  MyMemReleaserAbstractVisitor();

  virtual void enterX3DAbstractNode(X3DAbstractNode *N) const;
  virtual void enterCylinder(X3D::Cylinder *C) const;
};

}

#endif
