#ifndef MYSTRUCTURECOMPUTERCOREVISITOR_H
#define MYSTRUCTURECOMPUTERCOREVISITOR_H

#include <X3DTK/MESH/scenegraph.h>

#include "MESH_MyStructureComputerStateVariables.h"

namespace X3DTK {
namespace MESH {

class X3DGroupingNode;
class Transform;

/// Visitor for the Core component of the MyStructureComputer module.

class MyStructureComputerCoreVisitor : public CoreVisitor
{
public:
  MyStructureComputerCoreVisitor();

  virtual void enterMesh(DefMesh *M) const;
  virtual void enterTransform(Transform *T) const;
  virtual void leaveX3DGroupingNode(X3DGroupingNode *N) const;

protected:
  MyStructureComputerStateVariables *stateVariables;
};

}
}

#endif
